commit:     abeb6e222ffcc1bdf15594803a85e5936ce265b2
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Nov 14 20:20:01 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 20:20:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abeb6e22

sys-fabric/libibmad: disable static libs

Closes: https://bugs.gentoo.org/725698
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-fabric/libibmad/libibmad-1.3.11.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/sys-fabric/libibmad/libibmad-1.3.11.ebuild 
b/sys-fabric/libibmad/libibmad-1.3.11.ebuild
index 785819b5fbd..133c5aee3dd 100644
--- a/sys-fabric/libibmad/libibmad-1.3.11.ebuild
+++ b/sys-fabric/libibmad/libibmad-1.3.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -19,3 +19,12 @@ DEPEND="
        "
 RDEPEND="${DEPEND}"
 block_other_ofed_versions
+
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to